<?php


namespace App\ViewModels\Consulta\ConsultaRegistrationViewModel;


use App\Utils\Builder;

class RespostaNumericaInteiraBuilder implements Builder
{
    protected $id_pergunta;
    protected $resposta;

    /**
     * @param int $id_pergunta
     * @return RespostaNumericaInteiraBuilder
     */
    public function setIdPergunta(int $id_pergunta): RespostaNumericaInteiraBuilder
    {
        $this->id_pergunta = $id_pergunta;
        return $this;
    }

    /**
     * @param int $resposta
     * @return RespostaNumericaInteiraBuilder
     */
    public function setResposta(int $resposta): RespostaNumericaInteiraBuilder
    {
        $this->resposta = $resposta;
        return $this;
    }

    public function build(): RespostaNumericaInteira
    {
        $resposta_numerica_decimal = new RespostaNumericaInteira();
        $resposta_numerica_decimal->setidpergunta($this->id_pergunta);
        $resposta_numerica_decimal->setresposta($this->resposta);
        return $resposta_numerica_decimal;
    }
}